<app-loading *ngIf="isLoadingPage"></app-loading>
<div id='request-form'>
    <form nz-form [formGroup]="form" class="content__item content__item--border bg__content--default" scroll-spy>
      <mb-input-text formControlName="rejectReason" [mbIsTextAre]='true' [mbConfig]="{ rows: 5, autoSize: true }"
        [mbType]="isSubmitted && f['rejectReason'].errors ? 'error' : 'default'" [mbMaxLength]="500" 
        [mbShowError]="isSubmitted && f['rejectReason'].errors !== null" [mbErrors]="f['rejectReason'].errors"
        [mbErrorDefs]="[
          { errorName: 'required', errorDescription: 'staffAbs.validate.required' | translate: {'param': 'staffAbs.timekeepingManagement.confirmBackdate.rejectReason' | translate}},
          { errorName: 'maxlength', errorDescription: 'staffAbs.validate.maxLength' | translate: {'numberLength': '500' }},
        ]"
        mbPlaceholderText="{{'staffAbs.timekeepingManagement.confirmBackdate.rejectReason' | translate}}"
        mbLabelText="{{'staffAbs.timekeepingManagement.confirmBackdate.rejectReason' | translate}}"></mb-input-text>
    </form>
  </div>
  